Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CLwoLayer Class Reference

This class is a wrapper around LwoLayer and stores additional information useful during the conversion-to-egg process. More...

`#include "cLwoLayer.h"`

## Public Member Functions
| CLwoLayer (LwoToEggConverter *converter, const LwoLayer *layer)
void | connect_egg ()
| Connects all the egg structures together.
| CPT (LwoLayer) _layer
int | get_number () const
| Returns the index number associated with this particular layer.
void | make_egg ()
| Creates the egg structures associated with this Lightwave object.
| PT (EggGroup) _egg_group

## Public Attributes
LwoToEggConverter * | _converter

## Detailed Description

This class is a wrapper around LwoLayer and stores additional information useful during the conversion-to-egg process.

Definition at line 29 of file cLwoLayer.h.

## Constructor & Destructor Documentation

## ◆ CLwoLayer()

CLwoLayer::CLwoLayer | ( | LwoToEggConverter * | converter,
|  | const LwoLayer * | layer )
| inline

Definition at line 17 of file cLwoLayer.I.

## Member Function Documentation

## ◆ connect_egg()

void CLwoLayer::connect_egg | ( |  | ) |

Connects all the egg structures together.

Definition at line 38 of file cLwoLayer.cxx.

## ◆ get_number()

int CLwoLayer::get_number | ( |  | ) | const
| inline

Returns the index number associated with this particular layer.

This should be unique among all Lightwave layers in a single file.

Definition at line 28 of file cLwoLayer.I.

## ◆ make_egg()

void CLwoLayer::make_egg | ( |  | ) |

Creates the egg structures associated with this Lightwave object.

Definition at line 23 of file cLwoLayer.cxx.

## Member Data Documentation

## ◆ _converter

LwoToEggConverter* CLwoLayer::_converter

Definition at line 37 of file cLwoLayer.h.

The documentation for this class was generated from the following files:

- pandatool/src/lwoegg/cLwoLayer.h
- pandatool/src/lwoegg/cLwoLayer.cxx
- pandatool/src/lwoegg/cLwoLayer.I